.accordion {

    &__item {
        background: $white;
        border-bottom: 3px solid #f0f0f0;

        &.open {

            .accordion {

                &__header {

                    &--icon {
                        transform: rotate(180deg);
                        transition: .3s;

                        svg {
                            fill: $black;
                        }
                    }
                }
            }
        }
    }

    &__header {
        padding: 12px;
        font-weight: 600;
        cursor: pointer;
        font-size: size-rel(16px);
        line-height: size-rel(24px);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &--icon {
            height: 16px;
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
            transition: .3s;

            svg {
                fill: $black;
            }
        }
    }

    &__content {
        font-size: size-rel(14px);
        line-height: size-rel(22px);

        &--wrap {
            padding: 0 10px 12px 10px;
        }
    }

    @include media-breakpoint-up(md) {

    }
    @include media-breakpoint-up(lg) {}
    @include media-breakpoint-up(xl) {}
    @include media-breakpoint-up(xxl) {}
}


.accordion {

    &-content {
        overflow: hidden;
        max-height: 0;
        opacity: 0;
        will-change: max-height;
        transition: .3s;
    }

    &-item {

        &.open {

            .accordion-content {
                opacity: 1;
                transition: .3s;
            }
        }
    }
}
